import { HttpClient } from '@angular/common/http';
import { ApiResponseModel, ApiVisa, BaseApiTemplateService, Pagination, PagingResponseModel, BasicApiResponseModel } from '../../shared';
import { MembershipCardHeaderContainerModel } from '../../../../../../models/aggregates/crm/membership';
import { Observable } from 'rxjs';
import { MembershipCardCriteriaDTO } from '../../../data-transfer-objects/membership-card-dto.model';
export declare class MembershipCardHeaderService extends BaseApiTemplateService<MembershipCardHeaderContainerModel> {
    constructor(http: HttpClient);
    getByCriteriaEnhancement(pagination: Pagination, visa: ApiVisa): Observable<PagingResponseModel<MembershipCardHeaderContainerModel>>;
    getCountByCriteriaEnhancement(pagination: Pagination, visa: ApiVisa): Observable<ApiResponseModel<MembershipCardHeaderContainerModel>>;
    getByLabelHdrCriteria(guid_label_hdr: string, pagination: Pagination, visa: ApiVisa): Observable<PagingResponseModel<MembershipCardHeaderContainerModel>>;
    getByCriteriaEnhancementUsingPost(dtoObject: MembershipCardCriteriaDTO, visa: ApiVisa): Observable<PagingResponseModel<MembershipCardHeaderContainerModel>>;
    getTotalRecordsByCriteria(dtoObject: MembershipCardCriteriaDTO, visa: ApiVisa): Observable<BasicApiResponseModel<number>>;
    getMembershipCardHeaderReferee(referral_code: string, apiVisa: ApiVisa): Observable<Object>;
    getMembershipCardHeaderReferrer(login_subject_guid: string, apiVisa: ApiVisa): Observable<Object>;
}
